
/* CODE1.C */

#include <string.h>

#include "inp.h"
#include "out.h"
#include "lex.h"
#include "code1.h"

/********************************** CODE **********************************/

void send (char * inst)
/* odesli jednu instrukci */
{
   PutStr (inst);
   PutEol ();
}

void send_ext (char * inst, char * param)
/* odesli instrukci s parametrem */
{
   PutStr (inst);
   PutChr (' ');
   PutStr (param);
   PutEol ();
}


/********************************* LABELS *********************************/

int label_cnt;

void init_labels ()
{
   label_cnt = 0;
}

void new_label (LAB_TYP name)
{
   label_cnt ++;
   int n = label_cnt;

   name [0] = 'L';

   name [1] = '0' + n / 1000;
   n = n % 1000;
   name [2] = '0' + n / 100;
   n = n % 100;
   name [3] = '0' + n / 10;
   name [4] = '0' + n % 10;

   name [5] = 0; /* konec retezce */
}

void send_label (char * name)
{
   PutStr ("label ");
   PutStr (name);
   PutChr (':');
   PutEol ();
}

/********************************** INFO **********************************/

void info (char * txt)
/* informace o jednoduchem prikazu */
{
   PutStr ("/* ");
   PutStr (txt);
   PutStr (" */");
   PutEol ();
}

void open_info (char * txt)
/* informace o vnorenych prikazech */
{
   PutStr ("/* ");
   PutStr (txt);
   PutStr (" */");
   PutEol ();
   Indent ();
}

void close_info (void)
{
   Unindent ();
}

